package com.brilliance.isc.swift.objmtconvert.model.mt9xx.tag.tag992;

import com.brilliance.isc.swift.objmtconvert.model.AbsMTCreator;
import com.brilliance.isc.swift.objmtconvert.model.AbsTagCreate;
import com.brilliance.isc.swift.objmtconvert.model.mt9xx.MT992Creator;

public class Tag21Creator extends AbsTagCreate {
    private MT992Creator mt992Creator;

    public Tag21Creator(AbsMTCreator absMTCreator)
    {
        super(absMTCreator);
        this.mt992Creator= (MT992Creator) absMTCreator;
    }

    public void creator()
    {
        String tag21Value = mt992Creator.getRelatedReference();
        mt992Creator.set("21", tag21Value);
    }
}
